# Static API

## Get Offers

<mark style="color:blue;">`GET`</mark> `https://api.adbreakmedia.com/api/offers/static`

Get All active Offers directly for server side\
Note : You should only call this api every few minutes, for direct client side integration use\
[Offerwall API ](/monetization/api-reference/client-api.md)

#### Query Parameters

| Name                                                  | Type   | Description                                                                                                          |
| ----------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------- |
| placementIdentifier<mark style="color:red;">\*</mark> | String | You can copy this from your placement                                                                                |
| publisherKey<mark style="color:red;">\*</mark>        | String | You can copy this from dashboard setting/secret credentials                                                          |
| country                                               | String | isocode , can  separate by comma for multiple (\&country=NP,US,IN,AU,etc)                                            |
| offerId                                               | String | Id, can be separated by comma for multiple  (\&offerId=123,77672,etc)                                                |
| payout                                                | String | greater than the payout you mention (\&payout=10) will return you offers with payout greater than 10 USD             |
| category                                              | String | filter by category, you can mention multiple separated by comma (\&category=web,app,survey)                          |
| subCategory                                           | String | multiple supported by comma (\&subCategory=Game,App,Casino,Deposit,Purchase,Sweepstakes, Banking etc) case-sensitive |
| sub1                                                  | String | if you want to add some special identifier to be returned back  while getting postback                               |
| sub2                                                  | String | if you want to add some special identifier to be returned back  while getting postback                               |

{% tabs %}
{% tab title="200: OK Offers fetched Successfully" %}

```json
{
  "error": false,
  "message": "Offers fetched successfully",
  "offers": [
    {
      "id": 3484,
      "name": "Stash: Investing made easy",
      "description": {
        "en": "Invest and build wealth with Stash, the investing app helping millions of Americans invest and save for the future."
      },
      "totalPayout": 65.025,
      "events": [
        {
          "id": "6487089f3e4d2b9af6d6e500",
          "action": {
            "en": "Get the app & create an account"
          }
        },
        {
          "id": "6487089f3e4d2b9af6d6e501",
          "action": {
            "en": "create an account"
          }
        },
        {
          "id": "6487089f3e4d2b9af6d6e502",
          "action": {
            "en": "Take a subscription of $3 or $9. Complete the deposit. The reward will be credited after 3 days. New users only."
          },
          "payout": 65.025
        }
      ],
      "multiEvent": false,
      "subCategory": [
        "Purchase",
        "App"
      ],
      "trackingType": "CPA",
      "icon": "https://play-lh.googleusercontent.com/DDaJXHJIEeL3st4e-Zwlvu5BwmZBsXJ6EDn20eNeVk8BgntKw7BgNLamRUqkZImnO-NY=w480-h960-rw",
      "country": [
        "US"
      ],
      "category": "app",
      "epc": 0,
      "url": "https://api.adbreakmedia.com/api/offers/click?offerId=3484&userId=[YOUR_USER_ID]&placementIdentifier=1234",
      "device": [
        "android"
      ],
      "popularity": "0"
    },
    {
      "id": 3601,
      "name": "NordVPN – fast VPN for privacy",
      "description": {
        "en": "Get yourself an ultra-fast VPN connection and never stop for anything. Download NordVPN and you’ll get a fast and encrypted internet connection wherever you go."
      },
      "totalPayout": 7.2,
      "events": [
        {
          "id": "64870a193e4d2b9af6d6e63d",
          "action": {
            "en": " Install open and Start a free trail"
          },
          "payout": 7.2
        }
      ],
      "multiEvent": false,
      "subCategory": [
        "App"
      ],
      "trackingType": "CPI",
      "videoId": "Q1NB_jMkrrQ",
      "icon": "https://play-lh.googleusercontent.com/X8hJVUEzH6Q5N0g5npd0gz4rYPmvSek1ScQL8cmnIa8bLtXeAcRQJbLaoBAL-4YXIQ",
      "country": [
        "AU",
        "CA",
        "CZ",
        "FR",
        "DE",
        "HK",
        "JP",
        "KR",
        "SG",
        "TW",
        "GB",
        "US"
      ],
      "category": "app",
      "epc": 0.502,
      "url": "https://api.adbreakmedia.com/api/offers/click?offerId=3601&userId=[YOUR_USER_ID]&placementIdentifier=1234",
      "device": [
        "android"
      ],
      "popularity": "3"
    },
    {
      "id": 7884,
      "name": "Mafia City - Android ",
      "description": {
        "en": "Play the game and complete Mansion level 25 within 30 days."
      },
      "totalPayout": 130.68,
      "events": [
        {
          "id": "6494e191192299690b261a8f",
          "action": {
            "en": "Play the game and complete Mansion level 25 within 30 days.This offer rewards within 24 hours. New users only."
          },
          "payout": 130.68
        }
      ],
      "multiEvent": false,
      "subCategory": [
        
      ],
      "trackingType": "CPE",
      "videoId": "LxLbb5VWSOY",
      "featuredImage": "https://i.ytimg.com/vi_webp/LxLbb5VWSOY/sddefault.webp",
      "icon": "https://play-lh.googleusercontent.com/9BFW_EH7vDY4ZRRHO1bbjUVThAV4A4Fb0D6X50MCuE0fujr-WqJio9qa_IBHag0SvTY=s512-rw",
      "country": [
        "AU",
        "CA",
        "GB",
        "NZ"
      ],
      "category": "app",
      "epc": 0,
      "url": "https://api.adbreakmedia.com/api/offers/click?offerId=7884&userId=[YOUR_USER_ID]&placementIdentifier=1234",
      "device": [
        "android"
      ],
      "popularity": "1"
    }
    ]
```

{% endtab %}

{% tab title="400: Bad Request Publisher not found or inactive" %}

```json
{
    "error": true,
    "message": "Publisher not found or inactive"
}
```

{% endtab %}

{% tab title="404: Not Found Invalid Placement key or Placement is not active" %}

```json
{
  "error": true,
  "message": "Invalid Placement key or Placement is not active"
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}

#### Note:

Static APIs have a daily limit of 500 requests. To stay updated and avoid potential issues, it's recommended to make requests every 5 minutes. They are not intended for client-side offer fetching.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adbreakmedia.com/monetization/api-reference/static-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
